Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.retab.com/v1/tables \ --header 'Api-Key: <api-key>' \ --header 'Content-Type: multipart/form-data' \ --form 'name=<string>' \ --form 'file=<string>' \ --form 'column_schema_overrides=<string>'
{ "tables": [] }
tables = client.tables.create(name="Carriers", file="./carriers.csv")
const tables = await client.tables.create("Carriers", "./carriers.csv");
tables, err := client.Tables.Create(ctx, &retab.TablesCreateParams{Name: "Carriers", File: "./carriers.csv"})
// Create a table by uploading a CSV file.
curl https://api.retab.com/v1/tables \ -H "Api-Key: $RETAB_API_KEY" \ -F "name=Carriers" \ -F "file=@./carriers.csv"
Successful Response
Show child attributes